net.sf.saxon.om

## Class AbsolutePath

- java.lang.Object
- - net.sf.saxon.om.AbsolutePath

-     public class AbsolutePath
      extends Object

  Represents the path from the root of a tree to the node, as a sequence of (name, position) pairs

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbsolutePath.PathElement` Inner class representing one step in the path

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsolutePath(List<AbsolutePath.PathElement> path)` Create an absolute path

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getPathUsingAbbreviatedUris()` Get a string representing the path using abbreviated namespace URIs to represent QNames
    `String` | `getPathUsingPrefixes()` Get a string representing the path using namespace prefixes to represent QNames
    `String` | `getPathUsingUris()` Get a string representing the path using namespace URIs to represent QNames
    `String` | `getSystemId()`
    `int` | `hashCode()`
    `void` | `setSystemId(String systemId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsolutePath

          public AbsolutePath(List<AbsolutePath.PathElement> path)

      Create an absolute path
      Parameters:
        `path` - the list of path elements, starting from the root. It is not necessary to include a path element for the document node.

  - ### Method Detail

    - #### setSystemId

          public void setSystemId(String systemId)

    - #### getSystemId

          public String getSystemId()

    - #### getPathUsingPrefixes

          public String getPathUsingPrefixes()

      Get a string representing the path using namespace prefixes to represent QNames
      Returns:
        the path in the form `/prefix:local[n]/prefix:local[m]/...`

    - #### getPathUsingUris

          public String getPathUsingUris()

      Get a string representing the path using namespace URIs to represent QNames
      Returns:
        the path in the form `/Q{uri}local[n]/Q{uri}local[m]/...`

    - #### getPathUsingAbbreviatedUris

          public String getPathUsingAbbreviatedUris()

      Get a string representing the path using abbreviated namespace URIs to represent QNames
      Returns:
        the path in the form `/Q{uri}local[n]/Q{uri}local[m]/...`, with the URIs shortened

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.